Module | Shef
In: | lib/chef/shef.rb lib/chef/shef/shef_session.rb lib/chef/shef/shef_rest.rb lib/chef/shef/model_wrapper.rb lib/chef/shef/ext.rb

# Shef

Shef is Chef in an IRB session. Shef can interact with a Chef server via the REST API, and run and debug recipes interactively.

### Methods

client_type configure_irb editor fatal! greeting init irb_conf irb_conf= leader node ohai parse_json parse_opts running? session setup_logger start

### Classes and Modules

Module Shef::Extensions
Class Shef::ClientSession
Class Shef::DoppelGangerClient
Class Shef::DoppelGangerSession
Class Shef::ModelWrapper
Class Shef::NamedDataBagWrapper
Class Shef::Options
Class Shef::ShefREST
Class Shef::ShefSession
Class Shef::SoloSession
Class Shef::StandAloneSession

### Constants

LEADERS | = | Hash.new("")
MainContextExtensions | = | Proc.new do desc "returns the current node (i.e., this host)"

### Attributes

client_type | [RW] |
editor | [W] |
env | [RW] |
options | [RW] |

### Public Class methods

client_type()
configure_irb()
editor()
fatal!(message, exit_status)
greeting()
init(main)
irb_conf()
irb_conf=(conf_hash)

Set the irb_conf object to something other than IRB.conf usful for testing.

leader(main_object)
parse_json()
parse_opts()
running?()

Shef assumes it‘s running whenever it is defined

session()
setup_logger()
start()

Start the irb REPL with shef‘s customizations

### Public Instance methods

node()
ohai(key=nil)

[Validate]